Index of /pub/pkgsrc/current/pkgsrc/x11/ruby-tk

[ICO]NameLast modifiedSizeDescription

[PARENTDIR]Parent Directory  -  
[   ]DESCR2020-03-16 10:01 47  
[   ]Makefile2020-03-16 10:01 489  
[   ]PLIST2020-03-16 10:01 49K 
[TXT]README.html2020-04-06 22:17 14K 
[   ]distinfo2020-03-16 01:55 374  

The NetBSD Packages Collection: x11/ruby-tk Daemon Power

The NetBSD Packages Collection: x11/ruby-tk

Brief description of the package:
Tk interface module using tcltklib

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/ruby/tk.

Please note that this package has a 2-clause-bsd license.

The package is located in the "x11/ruby-tk" directory. The current source version of the package is "ruby26-tk-0.2.0nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for x11/ruby-tk :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby26-base>=2.6.6 openssl>=1.1.1 cwrappers>=20150314 libyaml>=0.1.1 openssl>=1.1.1dnb2 libyaml>=0.1.4 tcl>=8.5.7 sqlite3>=3.25.3 sqlite3>=3.0.8 sqlite3>=3.27.2nb1 tk>=8.5.7 libXScrnSaver>=1.1.2 x11-links>=1.31 osabi-NetBSD-8.1_STABLE xorgproto>=2016.1 Xft2>=2.1 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1nb2 Xft2>=2.1.7nb7 tcl>=8.6.1nb1 tk>=8.6.8nb1 .

This package requires the following package(s) to run: ruby26-base>=2.6.6 openssl>=1.1.1 libyaml>=0.1.1 openssl>=1.1.1dnb2 libyaml>=0.1.4 tcl>=8.5.7 sqlite3>=3.25.3 sqlite3>=3.0.8 sqlite3>=3.27.2nb1 tk>=8.5.7 libXScrnSaver>=1.1.2 Xft2>=2.1 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1nb2 Xft2>=2.1.7nb7 tcl>=8.6.1nb1 tk>=8.6.8nb1 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:

alpha:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
earm:ruby18-tk-1.8.7.374nb4.tgz(NetBSD 7.0)
earm:ruby200-tk-2.0.0p647nb4.tgz(NetBSD 7.0)
earm:ruby21-tk-2.1.7nb4.tgz(NetBSD 7.0)
earm:ruby22-tk-2.2.3nb4.tgz(NetBSD 7.0)
earm:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
earmv4:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
earmv6hf:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
earmv6hf:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
earmv7hf:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
earmv7hf:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
i386:ruby22-tk-2.2.10.tgz(NetBSD 7.0)
i386:ruby22-tk-2.2.10.tgz(NetBSD 7.0)
i386:ruby23-tk-2.3.8.tgz(NetBSD 7.0)
i386:ruby22-tk-2.2.10.tgz(NetBSD 7.0)
i386:ruby22-tk-2.2.10.tgz(NetBSD 7.0)
i386:ruby22-tk-2.2.10.tgz(NetBSD 7.1)
i386:ruby23-tk-2.3.8.tgz(NetBSD 7.1)
i386:ruby22-tk-2.2.10.tgz(NetBSD 7.1)
i386:ruby22-tk-2.2.10.tgz(NetBSD 7.1)
i386:ruby22-tk-2.2.10.tgz(NetBSD 7.1)
i386:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
i386:ruby23-tk-2.3.8.tgz(NetBSD 8.0)
i386:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
i386:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
i386:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
i386:ruby18-tk-1.8.7.352.tgz(QNX 6.5.0)
i386:ruby19-tk-1.9.2pl290.tgz(QNX 6.5.0)
powerpc:ruby22-tk-2.2.10.tgz(NetBSD 7.1)
powerpc:ruby23-tk-2.3.8.tgz(NetBSD 7.1)
powerpc:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
sparc64:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
x86_64:ruby24-tk-0.2.0nb1.tgz(NetBSD 9.0)
x86_64:ruby25-tk-0.2.0nb1.tgz(NetBSD 9.0)
x86_64:ruby26-tk-0.2.0nb1.tgz(NetBSD 9.0)
x86_64:ruby27-tk-0.2.0nb1.tgz(NetBSD 9.0)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 7.0)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 7.0)
x86_64:ruby23-tk-2.3.8.tgz(NetBSD 7.0)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 7.0)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 7.0)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 7.1)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 7.1)
x86_64:ruby23-tk-2.3.8.tgz(NetBSD 7.1)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 7.1)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 7.1)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
x86_64:ruby23-tk-2.3.8.tgz(NetBSD 8.0)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
x86_64:ruby22-tk-2.2.10.tgz(NetBSD 8.0)
x86_64:ruby24-tk-0.2.0nb1.tgz(NetBSD 9.0)
x86_64:ruby25-tk-0.2.0nb1.tgz(NetBSD 9.0)
x86_64:ruby26-tk-0.2.0nb1.tgz(NetBSD 9.0)
x86_64:ruby27-tk-0.2.0nb1.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]